Bug 153907 - Last completed line does not disappear
Summary: Last completed line does not disappear
Status: RESOLVED FIXED
Alias: None
Product: klines
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Other
: NOR normal (vote)
Target Milestone: ---
Assignee: Dmitry Suzdalev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-12 14:44 UTC by Jan Hambrecht
Modified: 2008-01-17 21:03 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot showing the "bug" in action (302.46 KB, image/png)
2007-12-12 14:45 UTC, Jan Hambrecht
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Hambrecht 2007-12-12 14:44:00 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
OS:                Other

I am using the svn version by utilizing the kde4daily qemu image, updated today.
When the last 3 balls where placed on the board, filling the board entirely, i had the luck that one of these new placed balls completed a line. However the line did not vanish as one would expect and neither are any scores counted for that line. (well that is probably due to the line not disappearing).
I will also attach a screenshot showing the described behaviour.
Comment 1 Jan Hambrecht 2007-12-12 14:45:27 UTC
Created attachment 22501 [details]
Screenshot showing the "bug" in action
Comment 2 Dmitry Suzdalev 2007-12-14 22:26:58 UTC
Agreed. A bug to fix. Thanks for reporting
Comment 3 Dmitry Suzdalev 2008-01-17 21:03:40 UTC
SVN commit 762747 by dimsuz:

Fix bug: when board was filled and 5 balls formed a line, they were not removed.
Also fix preview updating (I wonder why it worked earlier)

Will backport to 4.0 branch soon

BUG: 153907


 M  +7 -0      previewitem.cpp  
 M  +1 -1      previewitem.h  
 M  +7 -0      scene.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=762747